## bioperl-run 1.6.9

=== debian/changelog ===
bioperl-run (1.6.9-3) unstable; urgency=medium

  [ Charles Plessy ]
  * Build-depend on libmodule-build-perl, Closes: #788888.

  [ Andreas Tille ]
  * Compliant with Standards-Version: 3.9.6

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Jun 2015 20:05:10 +0900

bioperl-run (1.6.9-2) unstable; urgency=low

  * debian/source/format: 3.0 (quilt)
  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs URLs
     - debhelper 9
  * debian/README.source: removed because redundant
  * debian/copyright: DEP5
  * debian/watch: Point download location to github which provides more
    reliable version numbering than CPAN which would have needed a more
    complex version mangling
  * refreshed quilt patches to get rid of fuzz

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2013 10:03:29 +0100

bioperl-run (1.6.9-1) unstable; urgency=low

  * New upstream release. 
  * Converted and validated debian/copyright to latest machine-readable format.
  * debian/control:
    - Refreshed the list of packages for which wrappers are provided, in the
      Suggests field as well as in an experimental Build-Recommends field.
    - Incremented Standards-Version to reflect conformance with Policy 3.9.2.
      No other changes needed.
    - Vcs-Browser URL made redirectable to viewvc.
    - Removed useless ‘svn’ in the Vcs-Svn URL.
  * Point debian/watch to CPAN.
  * Tiny style with Debhelper 8 (debian/rules, debian/compat, debian/control).
  * Split scripts in bioperl-run and modules in libbio-perl-run-perl.
    (debian/rules, debian/control, debian/bioperl-run.install,
    debian/libbio-perl-run-perl.install)
  * debian/rules, debian/patches/series, debian/control:
    - debian/patches/install-scripts.patch for non-interactive script install.
    - debian/patches/Use-system-s-Perl.patch against /usr/local/bin/perl.
    - debian/patches/Some-spellchecking.patch.
  * Trigger network tests with DEB_MAINTAINER_MODE (debian/rules,
    debian/README.test).

 -- Charles Plessy <plessy@debian.org>  Sat, 18 Jun 2011 13:21:36 +0900

bioperl-run (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/10-wrong-path-for-interpreter.patch: removed
    (fixed upstream).
  * debian/watch updated (bioperl -> BioPerl).
  * debian/rules refreshed with dh-make-perl 0.53.
    - Disabled installation of examples (removed upstream).
    - Removed the correction of file permission of Pise documentation
      (removed upstream).
    - Removed patching facilities (no patches anymore).
    - Disabled tests as I experience failures with t/Eponine.t despite
      this program is not installed.
  * debian/copyright:
    - Removed vanity lines about debianization and debian copyright.
    - Incremented years to 2009.
    - Updated to latest experimentation of the machine-readable license summary.
  * debian/control:
    - Incremented Standards-Version to reflect conformance on new Policy
      (dropped versionned build-dependancy on Perl).
    - Removed build-dependancy on quilt (no patches anymore).
    - Depend and Build-Depend on bioperl versions superior or equal to 1.6.0.
    - Build-depends on, and Recommdnes libalgorithm-diff-perl, libipc-run-perl,
      libio-string-perl and libxml-twig-perl, that are listed in DEPENDANCIES.
    - Build-depends on libarray-compare-perl and libtree-dagnode-perl
      (otherwise tests fail). 
    - Depend on amap-align instead of amap (Closes: #541274).

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Sep 2009 11:00:03 +0900

bioperl-run (1.5.2.100-1) unstable; urgency=low

  * Initial Release (Closes: #505112).

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Nov 2008 09:11:17 +0900
