=== debian/control ===
Source: bioperl-run
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl,
                     libmodule-build-perl,
                     bioperl (>= 1.6.9),
# Recommended in Build.PL:
                     libalgorithm-diff-perl,
                     libipc-run-perl,
                     libio-string-perl,
                     libxml-twig-perl,
# Not yet available: libfile-sort-perl
# Needed for the tests, but not documented Upstream
                     libarray-compare-perl,
                     libtree-dagnode-perl,
# Needed for the regression tests: all Recommends of bioperl-run except embassy, that needs interactive setup.
# amap-align, bedtools, blast2, bowtie, bwa, clustalw, emboss, exonerate,
# hmmer, infernal, kalign, maq, mafft, muscle, phyml, primer3, probcons,
# samtools, sim4, t-coffee, tigr-glimmer, wise,
# Needed for the network tests:
                     libwww-perl
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/bioperl-run/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bioperl-run/trunk/
Homepage: http://www.bioperl.org/wiki/Run_package

Package: bioperl-run
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         bioperl,
         libbio-perl-run-perl (= ${source:Version})
Recommends: amap-align,
            bedtools,
            blast2,
            bowtie,
            bwa,
            clustalw,
            emboss,
            exonerate,
            hmmer,
            infernal,
            kalign,
            maq,
            mafft,
            muscle,
            phyml,
            primer3,
            probalign,
            probcons,
            samtools,
            sim4,
            t-coffee,
            tigr-glimmer,
            wise
Suggests:
# Non-Free.
          gmap,
          paml,
# Removed from Debian at all molphy,
# Removed from Debian but might be reintroduced ensembl,
          phylip
# The following list of packages is not available in Debian:
# blat,
# cap3,
# coils,
# condense,
# drawgram,
# drawtree,
# eponine,
# fasta,	# non-free, inofficial package for BioLinux
# footprinter,
# genemark-hmm,
# genscan,
# gerp,
# glimmer2,
# hyphy,
# lagan,	# packaging work in progress
# lvb,
# match,
# mcs,
# mdust,
# meme,		# non-free, packaging work in progress
# minimo,
# neighbor,
# newbler,
# njtree,
# pal2nal,
# phastcons,
# phrap,
# primate,
# prints,
# profile,
# promoterwise,
# protdist,
# protpars,
# pseudowise,
# quikctree,
# repeatmasker,
# sablastplus,
# seg,
# semphy,
# seqboot,
# signalp,
# simprot,
# slr,
# soapeu,
# tigr-assembler,
# tmhmm,
# tribe,
# trnascan,
# vista-align
Description: BioPerl wrappers: scripts
 Contains scripts from the BioPerl-Run package. This package will also install
 all wrappable applications packaged in Debian. The ones that are not Free are
 "Suggested" by this package.

Package: libbio-perl-run-perl
Architecture: all
Section: perl
Depends: ${misc:Depends},
         ${perl:Depends},
         libbio-perl-perl
Recommends: libalgorithm-diff-perl,
            libipc-run-perl,
            libio-string-perl,
            libxml-twig-perl,
            libwww-perl
Breaks: bioperl-run (<< 1.6.9)
Replaces: bioperl-run (<< 1.6.9)
Description: BioPerl wrappers: modules
 Contains modules that provide a Perl interface to various bioinformatics
 applications to allow them to be used with common BioPerl objects.
