=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
https://github.com/bioperl/bioperl-run/releases .*/archive/release-(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)$

# http://search.cpan.org/dist/BioPerl-Run/   .*/BioPerl-Run-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
