## bioperl-run 1.7.1

=== debian/changelog ===
bioperl-run (1.7.1-3) unstable; urgency=medium

  * s/Conflicts/Breaks/
    Closes: #850029

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 08:25:26 +0100

bioperl-run (1.7.1-2) unstable; urgency=medium

  * Conflicts: libbio-perl-perl (<< 1.7.1-1)
    Closes: #850029

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jan 2017 21:10:54 +0100

bioperl-run (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * Testsuite: autopkgtest-pkg-perl
  * cme fix dpkg-control
  * Enable lots of tests
  * Module Bio::Tools::Run::WrapperBase was taken over from BioPerl into
    bioperl-run in commit acd57a7d14112c5fd2cd979005b072efdaf57679 which is
    taken over in quilt patch
  * Fix homepage
  * d/watch:
     - version=4
     - Fix versionmangling
  * Build-Depends: raxml
  * Update copyright
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Wed, 21 Dec 2016 21:24:05 +0100
