=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: perl,
                      libmodule-build-perl,
-                     bioperl (>= 1.6.9),
+                     bioperl,
 # Recommended in Build.PL:
                      libalgorithm-diff-perl,
                      libipc-run-perl,
@@ -15,18 +16,41 @@
                      libxml-twig-perl,
 # Not yet available: libfile-sort-perl
 # Needed for the tests, but not documented Upstream
+                     libtest-most-perl,
                      libarray-compare-perl,
                      libtree-dagnode-perl,
 # Needed for the regression tests: all Recommends of bioperl-run except embassy, that needs interactive setup.
-# amap-align, bedtools, blast2, bowtie, bwa, clustalw, emboss, exonerate,
-# hmmer, infernal, kalign, maq, mafft, muscle, phyml, primer3, probcons,
-# samtools, sim4, t-coffee, tigr-glimmer, wise,
+                     amap-align,
+                     bedtools,
+                     blast2,
+                     bowtie,
+                     bwa,
+                     clustalw,
+                     emboss,
+                     exonerate,
+                     hmmer,
+                     hyphy-mpi,
+                     infernal,
+                     kalign,
+                     maq,
+                     mafft,
+                     muscle,
+                     phylip,
+                     phyml,
+                     primer3,
+                     probcons,
+                     raxml,
+                     samtools,
+                     sim4,
+                     t-coffee,
+                     tigr-glimmer,
+                     wise,
 # Needed for the network tests:
                      libwww-perl
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/bioperl-run/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/bioperl-run/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bioperl-run/trunk/
-Homepage: http://www.bioperl.org/wiki/Run_package
+Homepage: http://search.cpan.org/dist/BioPerl-Run/
 
 Package: bioperl-run
 Architecture: all
@@ -43,27 +67,28 @@
             emboss,
             exonerate,
             hmmer,
+            hyphy-mpi,
             infernal,
             kalign,
             maq,
             mafft,
             muscle,
+            phylip,
             phyml,
             primer3,
             probalign,
             probcons,
+            raxml,
             samtools,
             sim4,
             t-coffee,
             tigr-glimmer,
             wise
-Suggests:
 # Non-Free.
-          gmap,
-          paml,
+Suggests: gmap,
+          paml
 # Removed from Debian at all molphy,
 # Removed from Debian but might be reintroduced ensembl,
-          phylip
 # The following list of packages is not available in Debian:
 # blat,
 # cap3,
@@ -78,7 +103,6 @@
 # genscan,
 # gerp,
 # glimmer2,
-# hyphy,
 # lagan,	# packaging work in progress
 # lvb,
 # match,
@@ -124,14 +148,14 @@
 Section: perl
 Depends: ${misc:Depends},
          ${perl:Depends},
-         libbio-perl-perl
+         libbio-perl-perl (>= 1.7.1-1)
 Recommends: libalgorithm-diff-perl,
             libipc-run-perl,
             libio-string-perl,
             libxml-twig-perl,
             libwww-perl
-Breaks: bioperl-run (<< 1.6.9)
-Replaces: bioperl-run (<< 1.6.9)
+Breaks: bioperl-run (<< 1.6.9), libbio-perl-perl (<< 1.7.1-1)
+Replaces: bioperl-run (<< 1.6.9), libbio-perl-perl (<< 1.7.1-1)
 Description: BioPerl wrappers: modules
  Contains modules that provide a Perl interface to various bioinformatics
  applications to allow them to be used with common BioPerl objects.
