## bioperl-run 1.7.2

=== debian/changelog ===
bioperl-run (1.7.2-4) unstable; urgency=medium

  * (Build-)Depends: ncoils
  * do not run tests parallel to get sensibly sorted output
  * Allow MPI oversubscription (as in phyml build since phyml caused
    problems inside build time tests)
    This is also not reliable - skip phyml test at all
    Closes: #906337
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix Homepage
  * Lintian-override for script-with-language-extension

 -- Andreas Tille <tille@debian.org>  Fri, 14 Sep 2018 20:10:08 +0200

bioperl-run (1.7.2-3) unstable; urgency=medium

  * Drop adjust_bowtie_tests.patch, Closes: #887578
  * Bump Standards-Version to 4.1.3 (no changes needed)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 26 Jan 2018 10:43:45 +0100

bioperl-run (1.7.2-2) unstable; urgency=medium

  * Team upload
  * Add adjust_bowtie_tests.patch fixing failing tests for Bowtie
    Closes: #880347
  * Bump Standards-Version to 4.1.2, apply cme fix dpkg

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 07 Dec 2017 18:19:04 +0100

bioperl-run (1.7.2-1) unstable; urgency=medium

  * New upstream version
  * Convert packaging from SVN to Git
  * For some reason Ensembl.t test is executed in autopkgtest run even
    if it should be skipped due to missing preconditions
    (http://search.cpan.org/~cjfields/Bio-EUtilities-1.72/lib/Bio/DB/EUtilities.pm)
    The test will now be fully removed to make sure it is skipped.
  * Standards-Version: 4.1.0 (no changes needed)
  * Do not try to run bowtie tests with wrong bowtie call
    Closes: #868073

 -- Andreas Tille <tille@debian.org>  Wed, 20 Sep 2017 14:29:45 +0200
