=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep: perl,
                      libmodule-build-perl,
                      bioperl,
@@ -35,6 +35,7 @@
                      maq,
                      mafft,
                      muscle,
+                     ncoils,
                      phylip,
                      phyml,
                      primer3,
@@ -47,10 +48,10 @@
                      wise,
 # Needed for the network tests:
                      libwww-perl
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/bioperl-run/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bioperl-run/trunk/
-Homepage: http://search.cpan.org/dist/BioPerl-Run/
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/bioperl-run
+Vcs-Git: https://salsa.debian.org/med-team/bioperl-run.git
+Homepage: https://metacpan.org/release/BioPerl-Run
 
 Package: bioperl-run
 Architecture: all
@@ -73,6 +74,7 @@
             maq,
             mafft,
             muscle,
+            ncoils,
             phylip,
             phyml,
             primer3,
@@ -92,7 +94,6 @@
 # The following list of packages is not available in Debian:
 # blat,
 # cap3,
-# coils,
 # condense,
 # drawgram,
 # drawtree,
@@ -136,7 +137,7 @@
 # tigr-assembler,
 # tmhmm,
 # tribe,
-# trnascan,
+# trnascan-se,	# non-free
 # vista-align
 Description: BioPerl wrappers: scripts
  Contains scripts from the BioPerl-Run package. This package will also install
@@ -154,8 +155,8 @@
             libio-string-perl,
             libxml-twig-perl,
             libwww-perl
-Breaks: bioperl-run (<< 1.6.9), libbio-perl-perl (<< 1.7.1-1)
-Replaces: bioperl-run (<< 1.6.9), libbio-perl-perl (<< 1.7.1-1)
+Breaks: libbio-perl-perl (<< 1.7.1-1)
+Replaces: libbio-perl-perl (<< 1.7.1-1)
 Description: BioPerl wrappers: modules
  Contains modules that provide a Perl interface to various bioinformatics
  applications to allow them to be used with common BioPerl objects.
