## bioperl-run 1.7.3

=== debian/changelog ===
bioperl-run (1.7.3-9) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix test data in BEDtools test
  * Fix upstream source download name in watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Update lintian override info format in d/bioperl-run.lintian-overrides on
    line 2-6.

  [ Étienne Mollier ]
  * d/control: depend on libsoap-lite-perl.
  * d/t/p/smoke-skip: skip test only suitable for build time.

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Jan 2023 12:26:27 +0100

bioperl-run (1.7.3-8) unstable; urgency=medium

  * Replace skip_tests_for_muscle.patch by adjust-muscle-test.patch.
    Integration of newer muscle version in debian changed the code path in
    the way the test may be skipped, breaking autopkgtest of bioperl-run.
  * Move libmodule-build-perl from Build-Depends-Indep to Build-Depends.

 -- Étienne Mollier <emollier@debian.org>  Thu, 10 Feb 2022 20:44:28 +0100

bioperl-run (1.7.3-7) unstable; urgency=medium

  * d/watch: fix broken link to github and adjust version mangling to fit
    upstream's tagging convention (tag "release-x-y-z" for version "x.y.z")
  * adjust lintian override on bp_bioperl_application_installer.pl file
    extension, which is not provided anymore
  * add fix-whatis-entries.patch; fixes lintian warnings on bad-whatis-entry
    by providing a convenient description in the NAME field where needed
  * add unscramble-erpin.patch; fixes a kind of typo in ERPIN.pm documentation,
    flagged by lintian warning national-encoding
  * add fix-pod-conversion.patch; address the lintian warning
    pod-conversion-message affecting Bio::DB::SoapEUtilities::Result.
  * d/control: add myself to uploaders
  * Standards-Version: 4.6.0 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Tue, 14 Sep 2021 18:52:51 +0200

bioperl-run (1.7.3-6) unstable; urgency=medium

  * Team upload.
  * d/control: restrict build-dependencies to their supported architectures.
  * added skip-test-for-kalign.patch

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 06 Jan 2021 22:38:23 +0100

bioperl-run (1.7.3-5) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Add build-dep on libfile-sort-perl as that has arrived in Debian
  * debian/upstream/metadata: Add Repository & Repository-Browse

  [ Pranav Ballaney ]
  * Disable tests for RemoteBlast
  * Disable tests for RemoteBlast_rpsblast
  * Extract BEDTools version properly

  [ Andreas Tille ]
  * Depends: libfile-sort-perl
    Closes: #974168
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

  [ Étienne Mollier ]
  * Add get-overlap.patch to map to the proper "getOverlap" wrapper.
  * Add build time test dependencies to get BEDtools test data sets.
  * Add alternate-data.patch to use a dataset available in the Debian
    archive during build time testings.
  * Suppress retries when attempting to access remote Blast resources,
    this prevents hogging autopkgtest runners ten more minutes.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 03 Dec 2020 21:57:37 +0100

bioperl-run (1.7.3-4) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Fix the autopkgtests
  * Set 'Bio::Factory::EMBOSS' as the main module name for the purpose of
    the use.t autopkgtest
  * fix hyphympi autopkgtests
  * libipc-run-perl is needed for Bio::Tools::Run::BEDTools
  * drawgram is pary of the phylip package

  [ Pranav Ballaney ]
  * Change kalign command string to input via stdin It fails to take input
    via the -in flag during testing
  * Revert changes made outside of debian/
  * Update quilt version
  * Kalign takes input via a pipe
  * Extract Kalign version properly (Closes: #954511)

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Wrap long lines in changelog entries: 1.7.2-1.
  * Set upstream metadata fields: Bug-Submit.

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Tue, 31 Mar 2020 01:13:25 +0530

bioperl-run (1.7.3-3) unstable; urgency=medium

  * Team upload.
  * Depends: libbio-tools-run-alignment-clustalw-perl (Closes: #948323)
  * Depends: libbio-featureio-perl

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Jan 2020 12:07:09 +0100

bioperl-run (1.7.3-2) unstable; urgency=medium

  * Depends: libbio-tools-run-alignment-clustalw
  * Build-Depends / Recommends: s/blast2/ncbi-blast+-legacy/
    Closes: #948082
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Set upstream metadata fields: Bug-Database.

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2020 17:49:32 +0100

bioperl-run (1.7.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Drop dependencies: bowtie, bwa, maq, t-coffee, gmap, paml
    Thanks for the hint to Carnë Draug <carandraug+dev@gmail.com>)
  * Versioned (Build-)Depends: bioperl (>= 1.7.4)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Feb 2019 22:14:53 +0100
