=== debian/control ===
Source: bioperl-run
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13), libmodule-build-perl
Build-Depends-Indep: perl,
                     bioperl (>= 1.7.4),
# Recommended in Build.PL:
                     libalgorithm-diff-perl,
                     libipc-run-perl,
                     libio-string-perl,
                     libxml-twig-perl,
                     libfile-sort-perl,
# Needed for the tests, but not documented Upstream
                     libtest-most-perl,
                     libarray-compare-perl,
                     libtree-dagnode-perl,
                     libbio-cluster-perl,
                     libbio-featureio-perl,
                     libconfig-any-perl,
                     libbio-tools-run-alignment-clustalw-perl,
                     libbio-eutilities-perl,
                     libbio-tools-run-remoteblast-perl,
# Needed for the regression tests: all Recommends of bioperl-run except embassy, that needs interactive setup.
                     amap-align,
                     bedtools,
                     bedtools-test,
                     ncbi-blast+-legacy,
                     clustalw,
                     emboss,
                     exonerate,
                     hmmer [any-amd64 any-i386 powerpc ppc64],
                     hyphy-pt | hyphy-mpi,
                     infernal [any-amd64 any-i386],
                     kalign,
                     mafft,
                     muscle,
                     ncoils,
#                    phylip, causes a test to fail
                     phyml,
                     primer3,
                     probcons,
                     python3-pybedtools,
                     raxml,
                     samtools,
                     sim4,
                     tigr-glimmer,
                     wise,
                     fasttree,
                     lagan,
                     pal2nal,
#                    probalign,  # too old?
                     pftools [any-amd64],
# Needed for the network tests:
                     libwww-perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/bioperl-run
Vcs-Git: https://salsa.debian.org/med-team/bioperl-run.git
Homepage: https://metacpan.org/release/BioPerl-Run
Rules-Requires-Root: no

Package: bioperl-run
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         bioperl (>= 1.7.4),
         libbio-perl-run-perl (= ${source:Version}),
         libbio-tools-run-alignment-clustalw-perl,
         libbio-featureio-perl,
         libbio-cluster-perl,
         libtest-requiresinternet-perl,
         libbio-eutilities-perl,
         libbio-tools-run-remoteblast-perl,
         libsoap-lite-perl,
         default-jdk-headless,
         hyphy-pt | hyphy-mpi
Recommends: amap-align,
            bedtools,
            ncbi-blast+-legacy,
            bowtie,
            bwa,
            clustalw,
            emboss,
            exonerate,
            hmmer,
            infernal,
            kalign,
            maq,
            mafft,
            muscle,
            ncoils,
            phylip,
            phyml,
            primer3,
            probalign,
            probcons,
            raxml,
            samtools,
            sim4,
            t-coffee,
            tigr-glimmer,
            wise,
            lagan,
            pal2nal,
            pftools
Suggests: gmap,
          fasta3,
          trnascan-se
# gmap, fasta3, and trnascan-se is non-free
# Removed from Debian at all: molphy,
# Removed from Debian but might be reintroduced: ensembl,
# The following list of packages is not available in Debian:
# blat,
# cap3,
# condense,
# drawtree,
# eponine,
# footprinter,
# genemark-hmm,
# genscan,
# gerp, ( gerpcol )
# glimmer2,
# lvb,
# match,
# mcs,
# mdust,
# meme,		# non-free, packaging work in progress
# minimo,
# neighbor,
# newbler,
# njtree,
# phastcons,
# phrap,
# primate,
# prints,
# promoterwise,
# protdist,
# protpars,
# pseudowise,
# quicktree,
# repeatmasker,
# sablastplus,
# seg,
# semphy,
# seqboot,
# signalp,
# simprot,
# slr,
# soapeu,
# tigr-assembler,
# tmhmm,
# tribe,  + mcl, which is already packaged
# vista-align
Description: BioPerl wrappers: scripts
 Contains scripts from the BioPerl-Run package. This package will also install
 all wrappable applications packaged in Debian. The ones that are not Free are
 "Suggested" by this package.

Package: libbio-perl-run-perl
Architecture: all
Section: perl
Depends: ${misc:Depends},
         ${perl:Depends},
         libbio-perl-perl,
         libipc-run-perl,
         libfile-sort-perl
Recommends: libalgorithm-diff-perl,
            libio-string-perl,
            libxml-twig-perl,
            libwww-perl
Description: BioPerl wrappers: modules
 Contains modules that provide a Perl interface to various bioinformatics
 applications to allow them to be used with common BioPerl objects.
