=== debian/watch ===
version=4
opts="uversionmangle=s/^release-\(.*\)$/\1/;s/[-_]/./g,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/bioperl/bioperl-run/tags (?:.*?/)?release-v?(\d[\d-]*)\.tar\.gz

# http://search.cpan.org/dist/BioPerl-Run/   .*/BioPerl-Run-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
